require "common"

local c_ScrollSpeeed = 20
local c_PictureTime = 5.0
local c_PictureBlendTime = 2.0
local c_DeltaT = 0.05
local c_NumPictures = 11

local objTextPanel = obj( "textpanel" )
local objWrapPanel = obj( "wrappanel" )
local objPictureA  = obj( "picturea" )
local objPictureB  = obj( "pictureb" )
local curT = 0.0
local height = tonumber( get( objTextPanel, "height" ) )
local bottom = tonumber( get( objWrapPanel, "height" ) )

while true do
	local cY = bottom - curT*c_ScrollSpeeed
	set( objTextPanel, "top", cY )
	wait( c_DeltaT )
	curT = curT + c_DeltaT
	if (cY < -height) then
		break
	end
end

call( "btnBack", "unpress" )